blackbox (0.70.1-22) unstable; urgency=medium

  * QA upload.
  * debian/libbt0.symbols: Fix ppc64el symbolset (Closes: #751146).
    Thanks to Breno Leitao <brenohl@br.ibm.com>.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 12 Jun 2014 22:44:02 +0900

blackbox (0.70.1-21) unstable; urgency=medium

  * QA upload.
  * debian/libbt0.symbols: update for GCC-4.9 (Closes: #746828).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 10 Jun 2014 21:30:11 +0900

blackbox (0.70.1-20) unstable; urgency=medium

  * QA upload.
  * Brown Paper Bag release.
  * really fix FTBFS on x32 (Closes: #736211).
    thanks to Adam Borowski <kilobyte@angband.pl>.
    - debian/libbt0.symbols: update.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 23 Jan 2014 19:38:41 +0900

blackbox (0.70.1-19) unstable; urgency=medium

  * QA upload.
  * fix FTBFS on x32 (Closes: #736211).
    thanks to Adam Borowski <kilobyte@angband.pl>.
    - debian/libbt0.symbols: update.
    - debian/patches/fix-ftbfs-x32.diff: new file.
  * bumped Standards-Version to 3.9.5.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 23 Jan 2014 19:20:45 +0900

blackbox (0.70.1-18) unstable; urgency=low

  * QA upload.
  * Brown Paper Bag release.
  * debian/libbt0.symbols: update for FTBFS on many architectures.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 20 Nov 2013 22:27:38 +0900

blackbox (0.70.1-17) unstable; urgency=low

  * QA upload.
  * debian/libbt0.symbols: update for mips64(el) (Closes: 729667).
    thanks to YunQiang Su <wzssyqa@gmail.com>.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 20 Nov 2013 21:14:11 +0900

blackbox (0.70.1-16) unstable; urgency=low

  * QA upload. 
  * debian/libbt0.symbols: update for GCC-4.8 (Closes: #701247).
  * drop libbt transitional dummy package.
    - debian/control: remove libbt entry.
    - debian/libbt.postinst: remove file.
    - debian/rules: remove override_dh_link entry.
  * bumped Standards-Version to 3.9.4.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 08 Jun 2013 15:09:47 +0900

blackbox (0.70.1-15) unstable; urgency=low

  * QA upload. 
  * debian/libbt0.symbols: update for m68k (Closes: #697381).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 20 Jan 2013 15:22:54 +0900

blackbox (0.70.1-14) unstable; urgency=low

  * QA upload. 
  * debian/libbt0.symbols: update for powerpcspe (Closes: #693802), sparc64.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 22 Nov 2012 21:08:17 +0900

blackbox (0.70.1-13) unstable; urgency=low

  * QA upload. 
  * debian/libbt.postinst: Fix directory to symlink upgrade in postinst.
    (Closes: #687859)

 -- David Prévot <taffit@debian.org>  Sun, 16 Sep 2012 18:14:16 -0400

blackbox (0.70.1-12) unstable; urgency=medium

  * QA upload.
  * debian/libbt0.symbols: update to fix FTBFS on sparc.
  * debian/control: forget to mark libbt-dev as Multi-Arch: same.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 03 Jun 2012 00:42:02 +0900

blackbox (0.70.1-11) unstable; urgency=medium

  * QA upload.
  * debian/libbt0.symbols: update to fix FTBFS on many architectures.
  * enable Multiarch
    - debian/compat: set to 9.
    - debian/libbt-dev.install,libbt0.install,rules: add triplet.
    - debian/control: mark libbt0 as Multi-Arch: same.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 01 Jun 2012 08:36:25 +0900

blackbox (0.70.1-10) unstable; urgency=medium

  * QA upload.
  * debian/libbt0.symbols: update to fix FTBFS[any-i386] (Closes: #672525)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 31 May 2012 11:06:06 +0900

blackbox (0.70.1-9) unstable; urgency=medium

  * QA upload.
  * Mark libbt0 symbols not exported by GCC 4.7 as optional. Closes: #671988.

 -- Matthias Klose <doko@debian.org>  Tue, 08 May 2012 21:58:12 +0200

blackbox (0.70.1-8) unstable; urgency=low

  * QA upload.
  * debian/control: add Vcs-* headers.
  * debian/libbt0.symbols: fix FTBFS on ppc64 (Closes: #669958)
    thanks to Hiroyuki Yamamoto <yama1066@gmail.com>.
  * debian/rules: update hardening flags.
  * debian/copyright: switched to DEP-5 format.
  * bumped Standards-Version to 3.9.3.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 22 Apr 2012 21:55:58 +0900

blackbox (0.70.1-7) unstable; urgency=low

  * QA upload.
  * debian/libbt0.symbols: fix FTBFS on alpha and sparc64 (Closes: #652490)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 03 Jan 2012 02:54:41 +0900

blackbox (0.70.1-6) unstable; urgency=low

  * QA upload.
  * debian/libbt0.symbols: fix FTBFS at s390.

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Fri, 09 Dec 2011 17:04:03 +0900

blackbox (0.70.1-5) unstable; urgency=low

  * QA upload.
  * debian/libbt0.symbols: add architecture-specific tag
    (Closes: #649905)
  * debian/rules: switch to dh7, built libbt by binary-indep
    (Closes: #650411)
  * debian/control: add Replaces/Breaks: libbt (<< 0.70.1-4) to libbt0
    (Closes: #650511)

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Wed, 30 Nov 2011 11:09:41 +0900

blackbox (0.70.1-4) unstable; urgency=low

  * QA upload.
  * rename libbt to libbt0.
    - eliminate lintian warning: package-name-doesnt-match-sonames
    - debian/control: rename libbt to libbt0
    - debian/libbt0.dir: renamed from libbt.dir
    - debian/libbt0.install: renamed from libbt.install
  * add libbt transitional dummy package.
    - debian/control: add libbt
    - debian/rules: remove libbt docs and symlink to libbt0
  * debian/libbt0.symbols: eliminate lintian warning.
    - no-symbols-control-file usr/lib/libbt.so.0.0.0
  * debian/rules: eliminate lintian warning.
    - debian-rules-missing-recommended-target build-arch
    - debian-rules-missing-recommended-target build-indep
  * debian/rules: remove non-existant libbt1 from dh_shlibdeps.
  * debian/control: add libxext-dev to Build-Depends.
  * Bump standards version to 3.9.2

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Wed, 23 Nov 2011 16:30:32 +0900

blackbox (0.70.1-3) unstable; urgency=low

  * QA upload.
  * Set the Maintainer field to Debian QA Group (closes: #553352, #572459).
    Thanks for Sandro Tosi and Jan Hauke Rahm for the bug reports.
  * Drop the Uploaders field.
  * Switch source format to 3.0 (quilt).
    + Convert monolithic diff into separate, small patches.
    + Undo Debian-specific changes to mk.sh; it isn't used at build time
      anyway.
    + Undo changes to files that could be automatically regenerated.
  * Use dpkg-buildflags to set CFLAGS.
    + Update debian/rules.
    + Build depend on dpkg-dev (>= 1.15.7).
  * Bump debhelper compatibility level to 7.
  * Tidy up debian/rules.
    + Drop superfluous whitespace, uninteresting comments.
    + Avoid direct calls to ‘rm’ or ‘install’. Use debian/clean and
      debian/*.install files instead.
    + Remove call to (obsolete) dh_desktop.
    + Add call to dh_icons (closes: #466278). Thanks to James Westby for the
      bug report.
    + Don't pass --sourcedir to dh_install; not needed anymore.
    + Use dh_prep instead of dh_clean -k.
  * Tidy up debian/control:
    + Add ${misc:Depends} to all packages' Depends.
    + Add Homepage field.
    + Clarify long description for libbt (closes: #551472). Thanks to Junichi
      Uekawa for the bug report.
  * Run autoreconf at build time. Unconditionally update config.sub and
    config.guess.
    + Build-depend on autoconf, automake, libtool, autotools-dev.
    + Add regenerated files to dpkg's extend-diff-ignore.
  * Declare bt::textPropertyToString unconditionally (closes: #614468) to fix
    FTBFS with recent versions of X libraries. Thanks to Lucas Nussbaum for
    the bug report.
  * Bump standards version to 3.9.1:
    + Move /usr/lib/libbt.so to the -dev package.
    + Don't install /usr/lib/libbt.la.
  * Add watch file.
  * Fix spelling and typographic errors in the manual pages.
  * Fix spelling errors in the code.
  * Don't create empty directory: /usr/share/blackbox/nls. Natural language
    support has been defunct since 0.70.0.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 13 Mar 2011 21:19:15 +0100

blackbox (0.70.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * bsetbg uses bash features for at least bsetbg -generate, so make it run
    under /bin/bash rather than /bin/sh (Closes: #472893)
  * Remove doc/??_??/Makefile during clean (make distclean seems to omit them)
    so they're not included in the Debian diff
  * Build verified to work with gcc-4.3 as gcc and dash as sh

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Sun, 06 Apr 2008 11:53:06 +0000

blackbox (0.70.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #456047)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 21:20:25 +0100

blackbox (0.70.1-2) unstable; urgency=low

  * Repaired FTBFS with GCC 4.3. (closes: #417117)

 -- Bruno Barrera C. <bruno@debian.org>  Sun, 18 Nov 2007 12:04:56 -0300

blackbox (0.70.1-1.1) unstable; urgency=high

  * Non-Maintainer Upload
  * Add --enable-shared to configure (Closes: #341975)
  * relibtoolize and fix lib/libbt.pc.in (Closes: #342035).

 -- Luk Claes <luk@debian.org>  Sat,  4 Mar 2006 22:36:08 +0100

blackbox (0.70.1-1) unstable; urgency=low

  * New upstream release.
  * Added more README.* files to the documentation.
    (closes: #322569)

 -- Bruno Barrera C. <bruno@debian.org>  Mon,  7 Nov 2005 22:19:10 -0300

blackbox (0.70.0-5) unstable; urgency=medium

  * C++ ABI Transition. (closes: #319306)

 -- Bruno Barrera C. <bruno@debian.org>  Sun, 31 Jul 2005 21:51:39 -0400

blackbox (0.70.0-4) unstable; urgency=high

  * Fixed broken dependency. (closes: #308157,#308112)
  * Updated blackbox.postinst and rules.

 -- Bruno Barrera C. <bruno@debian.org>  Thu, 12 May 2005 22:58:54 -0400

blackbox (0.70.0-3) unstable; urgency=high

  * Removed unneeded build-depends on build-essential packages.
    (closes: #307208) 

 -- Bruno Barrera C. <bruno@debian.org>  Sun,  1 May 2005 14:39:04 -0400

blackbox (0.70.0-2) unstable; urgency=high

  * Missing dependency on libxt-dev. (closes: #306839)
  * Fixed blackbox.postrm to give no warnings.

 -- Bruno Barrera C. <bruno@debian.org>  Fri, 29 Apr 2005 07:34:47 -0400

blackbox (0.70.0-1) unstable; urgency=high

  * New upstream release.
  * Fixed the toolbar placement problem. (closes: #292114)
  * Added the always on top,bottom feature. (closes: #135322)
  * Toolbar can be disabled. (closes: #121203)
  
 -- Bruno Barrera C. <bruno@debian.org>  Thu,  3 Feb 2005 22:15:14 -0300

blackbox (0.65.0-5) unstable; urgency=high

  * Fixed FTBFS with the missing build dependency on autoconf. 
    (closes: #291133)

 -- Bruno Barrera C. <bruno@debian.org>  Tue, 18 Jan 2005 20:22:45 -0300

blackbox (0.65.0-4) unstable; urgency=low

  * Fixed the string length problem. (closes: #178001)
  * Added Xinerama support. (closes: #277517) 

 -- Bruno Barrera C. <bruno@debian.org>  Mon, 17 Jan 2005 23:27:56 -0300

blackbox (0.65.0-3) unstable; urgency=low

  * Fixed FTBFS with gcc-3.4 (closes: #266642)
  * debian/postinst now checks for the correct files to be removed
    (blackbox-menu instead Blackbox-menu)

 -- Bruno Barrera C. <bruno.barrera@igloo.cl>  Fri, 20 Aug 2004 21:44:55 -0400

blackbox (0.65.0-2) unstable; urgency=low

  * New Maintainer (closes: #259585)
  * Corrected menu-method coding (closes: #251237)
  * Added a blackbox.desktop file. (closes: #257423)
  * Completed the debian/copyright file.
 
 -- Bruno Barrera C. <bruno.barrera@igloo.cl>  Fri, 16 Jul 2004 18:26:04 -0400

blackbox (0.65.0-1.2) unstable; urgency=low

  * Non Maintainer Upload
  * Patch by Matt Kraai to solve FTBFS: Closes: #208814.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Wed, 15 Oct 2003 15:38:53 +0300

blackbox (0.65.0-1.1) unstable; urgency=low

  * Non Maintainer Upload
  * Include <cassert> in src/Window.cc (Closes: #196245)

 -- David Pashley <david@davidpashley.com>  Tue, 15 Jul 2003 16:36:04 +0200

blackbox (0.65.0-1) unstable; urgency=low

  * new upstream release
  * now has man pages for all binaries, closes: #93427
  * newer version of bsetbg behaves much better, closes: #109606
  * tilde expansion in blackboxrc and menus is now supported, closes: #139330

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 18 Sep 2002 11:02:00 -0700

blackbox (0.65.0-0.pre1) unstable; urgency=low

  * temporary deb

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Fri,  6 Sep 2002 19:33:37 -0700

blackbox (0.62.1-1) unstable; urgency=low

  * new upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 30 Jan 2002 22:17:06 -0800

blackbox (0.62.0-1) unstable; urgency=low

  * new upstream
  * I am now the upstream (-:
  * upstream fixes these, Closes: #72254, #103909, #116767
  * Documented update-menu and blackbox behaviour (closes: #117386)
  * Added README.menu and .style (closes: #81008)
  * removed empty dir (closes: #78777)

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Sat, 19 Jan 2002 11:22:06 -0800

blackbox (0.61.1-1.1) unstable; urgency=low

  * NMU
  * Fix unsafe temp files in bsetbg.  Closes: #102126
  * Add class key as needed, printf is a macro as of gcc 3.0.  Closes: #105452

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Sun, 15 Jul 2001 23:29:46 -0600

blackbox (0.61.1-1) unstable; urgency=low

  * New upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Mon,  9 Oct 2000 10:10:31 -0700

blackbox (0.61.0-3) unstable; urgency=low

  * Changed menu-method to call x-terminal-emulator instead of xterm
  * Closes: #71981

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 20 Sep 2000 11:41:45 -0700

blackbox (0.61.0-2) unstable; urgency=low

  * removed echo from the postinst

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 31 Aug 2000 11:35:39 -0700

blackbox (0.61.0-1) unstable; urgency=low

  * New upstream

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Fri, 18 Aug 2000 13:29:31 -0700

blackbox (0.61.0.20000806-1) unstable; urgency=low

  * New upstream

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Mon,  7 Aug 2000 10:19:22 -0700

blackbox (0.61.0.20000726-2) unstable; urgency=low

  * Oops, forgot to re-run autofriends

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 26 Jul 2000 16:39:15 -0700

blackbox (0.61.0.20000726-1) unstable; urgency=low

  * New upstream beta

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 26 Jul 2000 13:10:07 -0700

blackbox (0.60.3-5) unstable; urgency=low

  * Fix for improper quoting of rootCommand

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 20 Jul 2000 21:41:11 -0700

blackbox (0.60.3-4) unstable; urgency=low

  * Bug fix release
  * added a CXXFLAGS setting to the rules file.  This makes blackbox smaller
    and faster.
  * Closes: #45298, #55305, #61552, #64615, #64773, #64851, #64969

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Tue, 18 Jul 2000 13:01:43 -0700

blackbox (0.60.3-3) unstable; urgency=low

  * Oops, left the stylesmenu file

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Sat, 27 May 2000 19:40:41 -0700

blackbox (0.60.3-2) unstable; urgency=low

  * Oops, left a call to update-bbstyles

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Fri, 26 May 2000 16:12:27 -0700

blackbox (0.60.3-1) unstable; urgency=low

  * New upstream release
  * Changed user style menu to look in ~/.blackbox/styles to match
    current practice among style authors
  * Cleaned up menu-method script and thus the resulting menu file it
    generates

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Fri, 26 May 2000 12:08:34 -0700

blackbox (0.60.2-2) unstable; urgency=low

  * Removed update-styles

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 25 May 2000 14:02:15 -0700

blackbox (0.60.2-1) unstable; urgency=low

  * New upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 25 May 2000 12:55:42 -0700

blackbox (0.60.0.alpha-2) unstable; urgency=low

  * New maintainer

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 25 May 2000 11:50:49 -0700

blackbox (0.60.0.alpha-1) unstable; urgency=low

  * The Alpha release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 22 April 2000 13:32:08 -0800
